// assign: evaluation
var a = 5;
var b, c;

b = a * 5;
b = c = (b / 2);

// semicolon: error
// a = 10 b = a * 10;
// b = a*5  b = c = (b/2); 

// semicolon: mistake
var d = a * 5 
* b 

// Number: age
const number = prompt('Сколько Вам лет?');
const year = 2022;
const date = (year - number)
alert(`Ваш год рождения ${date} `);

// Number: temperature
const tempС = prompt('Введите температуру в градусах Цельсия');
const tempF = tempС * 1.8 + 32;
alert(`Температура в Фаренгейтах ${tempF}`);

// Number: divide
const firstNum = prompt('Введите делимое');
const secondNum = prompt('Введите делитель');
const result = Math.floor(firstNum / secondNum);
alert(`Результат ${result}`);

// Number: odd
const enterNumber = prompt('Введите число');
if (!isNaN(enterNumber)) {
    if (enterNumber % 2 === 0) {
        alert("Четное число");
    }
    else {
        alert("Нечетное число");
    }
}
else {
    alert("Некорректное число.");
}

// String: greeting
const greetingName = prompt("Как вас зовут?", "");
alert("Рад познакомиться " + greetingName);

// String: lexics
var str = prompt("Введите текст");
if ((!str.includes("suk")) && (str.indexOf("xyz") === -1)) {
    alert("Вы культурный человек");
}
else {
    alert("Ай Яй Яй");
}

// confirm
const confirmType = confirm("Введите число");
alert(confirmType); //true - если "ОК" , false - если "Отмена";

// Boolean
const confirmDev = confirm("Ты JS разработчик?");
alert(confirmDev);
const confirmCity = confirm("Ты из Харькова?");
alert(confirmCity);

// Boolean: if
var gender = confirm("Вы мужчина?", "");
if (gender) {
    alert("Вы мужчина");
}
else {
    alert("Вы женщина");
}

//  Array: real
const clothes = ["hat", "shirt", "trousers"];
const dishes = ["spoon", "fork", "plate"];

// Array: booleans
const confirmArray = [confirmDev, confirmCity, gender];

// Array: plus
let numArray = [5, 12, 18, 24];
numArray[2] = numArray[0] + numArray[1];

// Array: plus string
let strArray = ["dev", "elo", "per", "result"];
strArray[3] = strArray[0] + strArray[1] + strArray[2];

// Object: real
let hookah = {
    brand: "Matt Pear",
    color: "grey",
    material: "steel",
    price: 5000
}

let book = {
    author: "Smith",
    pages: 375,
    price: 500
}

// Object: change
hookah["color"] = "green";
book.price = 300;

// Comparison if
var age = +prompt("Сколько вам лет?", "");
if (age < 0) {
    alert("еще не родился");
}
else if (age < 18) {
    alert("школьник");
}
else if (age < 30) {
    alert("молодежь");
}
else if (age < 45) {
    alert("зрелость");
}
else if (age < 60) {
    alert("закат");
}
else if (age > 60) {
    alert("как пенсия?");
}
else {
    alert("то ли киборг, то ли KERNESS");
}

// Comparison: sizes
var size = +prompt("Укажите размер","");
if (size === 40){ 
    alert("S");
}
else if (size === 42 || size === 44){
    alert("M");
}
else if (size === 46 || size === 48){
    alert("L");
}
else if (size === 50 || size === 52){
    alert("XL");
}
else if (size === 54){
    alert("XXL");
}

var underwearSize = +prompt("Укажите размер","");
if (underwearSize === 42){ 
    alert("XXS");
}
else if (underwearSize === 44){
    alert("XS");
}
else if (underwearSize === 46){
    alert("S");
}
else if (underwearSize === 48){
    alert("M");
}
else if (underwearSize === 50){
    alert("L");
}
else if (underwearSize === 52){
    alert("XL");
}
else if (underwearSize === 54){
    alert("XXL");
}
else if (underwearSize === 56){
    alert("XXXL");
}

var socksSize = +prompt("Укажите размер","");
if (socksSize === 21){ 
    alert(8);
}
else if (socksSize === 23){
    alert(9);
}
else if (socksSize === 25){
    alert(10);
}
else if (socksSize === 27){
    alert(11);
}


// Comparison: object
var underwearObject = {
    waist: "63-65", 
    hips: "89-92",
    international: "XXS",
    ukr: 42,
    ge: 36,
    us: 8,
    fr: 38,
    en: 24
}

// Ternary
let genderTwo = confirm("Вы мужчина?") ? alert("Вы Мужчина!") : alert("Вы Женщина!");

// Синий пояс Number: flats
let numFloors = prompt("Введите количество этажей");
let numFlatsOnFloor = prompt("Введите количество квартир на этаже");
let flat = prompt("Введите номер квартиры");
let numFlatsInEntrance = numFloors * numFlatsOnFloor;
let entrance = Math.ceil(flat / numFlatsInEntrance);
let floor;
if (entrance === 1) {
    floor = Math.ceil(flat / numFlatsOnFloor);
}
else {
    floor = Math.ceil(flat / numFlatsInEntrance);
}
alert(`Подъезд ${entrance}, этаж ${floor}`);